﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

namespace Ld31
{
    [System.Serializable]
    public class Inventory
    {
        public int Wood = 0;
        public int Stone = 0;
        public int Steel = 0;

        public int Grain = 0;
        public int Meat = 0;
        public int Spices = 0;

        public int Tools = 0;
        public int Toys = 0;
        public int Jewels = 0;

        public int Manual = 0;
        public int Skilled = 0;
        public int Specialized = 0;

        public Dictionary<string, int> Items
        {
            get
            {
                return new Dictionary<string, int>()
                {
                    { "Wood", Wood },
                    { "Stone", Stone },
                    { "Steel", Steel },

                    { "Grain", Grain },
                    { "Meat", Meat },
                    { "Spices", Spices },

                    { "Tools", Tools },
                    { "Toys", Toys },
                    { "Jewels", Jewels },

                    { "Manual", Manual },
                    { "Skilled", Skilled },
                    { "Specialized", Specialized }       
                };
            }
        }

    }
}