﻿using System;
using UnityEngine;
using System.Collections;

namespace Ld31
{
    public enum ToolType
    {
        NONE,
        BUILDING,
        REMOVAL
    }

    public class Tool : Root
    {
        public bool IsFirst = false;
        public string Name = "Unnamed";
        public string Tooltip = "n/a";
        public Texture2D toolbarIconTexture = null;
        public ToolType Type;
        public GameObject Prefab = null;
        public Structure Structure = null;
        public bool IsSelected = false;
        public string Note = "-";
    }
}